(function () {
	var state = $('div#call_recordinggeneral input#enabled');
	var use_script = $('div#call_recordinggeneral input#use_custom_script');
	state.bind('change', function() {
		check_state();
		if(state.prop('checked') && !use_script.prop('checked')) {
			check_user_script();
		}
		check_custom_script();
	});

	use_script.bind('change', function() {
		if(state.prop('checked') && !use_script.prop('checked')) {
			check_user_script();
		}
		check_custom_script();
	});

	check_state();
	check_custom_script();
})();

function check_user_script() {
	var script = $('div#call_recordinggeneral textarea#recording_script').val();
	$.ajax({
		type: "POST",
		url: CallBack,
		dataType: "html",
		data: { class: "call_recording", method: "user_script", content: script },
		success: function (response) {
			if(response) {
				warn();
			}
		}
	});
}

function check_state() {
	var state = $('div#call_recordinggeneral input#enabled');
	var delete_local_file = $('div#call_recordinggeneral input#delete_orig_file');
	var customer_id = $('div#call_recordinggeneral input#customer_id');
	var site_id = $('div#call_recordinggeneral input#site_id');

	if(state.prop('checked')) {
		customer_id.prop('disabled', false);
		site_id.prop('disabled', false);
		delete_local_file.bootstrapToggle('enable');
	} else {
		customer_id.prop('disabled', true);
		site_id.prop('disabled', true);
		delete_local_file.bootstrapToggle('disable');
	}
}

function check_custom_script() {
	var script = $('div#call_recordinggeneral div.form-group-recording_script');
	var use_script = $('div#call_recordinggeneral input#use_custom_script');
	if(use_script.prop('checked')) {
		script.show();
	} else {
		script.hide();
	}
}

function warn() {
	BootstrapDialog.show({
		type: BootstrapDialog.TYPE_WARNING,
		title: call_recording_warning_title,
		message: call_recording_warning,
		buttons: [{
			label: call_recording_warning_confirm,
			cssClass: 'btn-warning',
			action: function(dialogItself) {
				dialogItself.close();
			}
		}, {
			label: call_recording_warning_cancel,
			cssClass: 'btn-primary',
			action: function(dialogItself) {
				var use_script = $('div#call_recordinggeneral input#use_custom_script');
				console.log(use_script);
				use_script.bootstrapToggle('on');
				dialogItself.close();
			}
		}]
	})
}
